#!/bin/ruby

require "./Money"
require "./Account"
require "./Bank"
require "./Transaction"

# This file executes a small example creating a new bank instance,
# creating a checking and a savings accounts, and afterwards transfering
# money forth and back.

bank=Bank.new
bank.addCheckingAccount(1111)
bank.addSavingsAccount(2222)

a=bank.find(1111)
b=bank.find(2222)

puts "create accounts"
puts a
puts b

bank.deposite(1111,Money.new(1000))

puts "deposite money"
puts a
puts b

bank.transfer(1111,2222,Money.new(500))
bank.executeTransactions

puts "transfer money"
puts a
puts b

bank.transfer(2222,1111,Money.new(400))
bank.executeTransactions

puts "transfer money back"
puts a
puts b

